## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCCatalog

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl
                  org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCCatalog

All Implemented Interfaces:
  ICatalogObject, Catalog, SQLObject

    public class JDBCCatalog

extends CatalogImpl
implements ICatalogObject

Constructor Summary
`JDBCCatalog()`

Method Summary
`boolean` `eIsSet(EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`EList` `getSchemas()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl
`basicGetDatabase, basicSetDatabase, eGet, eInverseAdd, eInverseRemove, eSet, eUnset, getDatabase, setDatabase`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCCatalog

    public JDBCCatalog()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getSchemas

    public EList getSchemas()

  Description copied from class: `CatalogImpl`

  Specified by:
    `getSchemas` in interface `Catalog`
  Overrides:
    `getSchemas` in class `CatalogImpl`
  Returns:
    the value of the 'Schemas' reference list.
  See Also:
    `SQLSchemaPackage.getCatalog_Schemas()`, `Schema.getCatalog()`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Description copied from class: `CatalogImpl`

  Overrides:
    `eIsSet` in class `CatalogImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.